CACHELINE(1)

NAME
cacheline - Delay newlines in output

SYNOPSIS
cacheline

DESCRIPTION
This manual page document describes the cacheline command.

The cacheline program reads from standard in and writes to standard out. Whenever a newline character is read, it is inhibited and not printed until another character is read. This way, when monitoring files on a terminal (e.g. with tail), the bottom row (line) can be used. (Normally this line is always empty due to the last newline character printed.)

OPTIONS
None.

EXAMPLES
Monitor a syslog file:
    tail -f /var/log/syslog | cacheline

AUTHOR
cacheline was written by Oskar Liljeblad <oskar@osk.mine.nu>.